<?php
#
#=
#
/*
Copyright 2002, Daniel Deycard, Jacques Messines, Alain Pomirol
(CATICE Académie de Bordeaux)

This file is part of GiBii/Melia.
GiBii/Melia is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

GiBii/Melia is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with GiBii/Melia; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

****************************************************************************/

include ("../include/vars_adm.php");
include("../include/util.inc.php");
include("../include/get.inc.php");
include("../include/utiljs.php");
include("../include/login.inc.php");
include("../include/planificateur.inc.php");
include("../include/winpop.php");

connecte($host, $user, $mdp, $db);
@session_start();

$sess_reptraduction=repertoire($_SERVER['SCRIPT_FILENAME'],2).'langues/fr/';
session_puts('sess_reptraduction');

//Dans le cas de CAS, on peut tout de même se loger avec des comptes admin ou gestion
//Seul repère, on est passés par login.php au lieu de loginCAS.php
$btn_login=@$_POST['btn_login'];
$entree_SSO=@$_GET['entree_SSO'];
if (!isset($entree_SSO)) $entree_SSO=@$_POST['entree_SSO'];

session_puts('entree_SSO');
recupvars();

//alert($ta);
if ($entree_SSO==0) {
	//Si on met le 2° paramètre à etab_typauth on n'entre plus par la bande....
  //Donc on y met $ta modifié par le switch d'entrée de login.php
  $msg_err=authentifier("",$ta);   //met les champs de comptes en variables sess_*
  if ($msg_err) {
     reconnecter($msg_err,'./login.php?etab_id='.$_SESSION['etab_id']);
     }
  $msg_sess=verifierSession();
  if ($msg_sess) {
     reconnecter($msg_sess,'./login.php?etab_id='.$_SESSION['etab_id']);
     }
  }
/*
print "<p>session<br>";print_r($_SESSION);print "</p>";
print "<p>request<br>";print_r($_REQUEST);print "</p>";
exit();
*/

//Mise en session de la discipline initiale (est-ce utile ?????????????????????)
if (isset($disc_id)) session_puts("disc_id");

print "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.01 Transitional//EN\">\n";
print "<html><head>\n";
print "<meta http-equiv=\"content-type\" content=\"text/html; charset=ISO-8859-1\">\n";

print "<link rel=\"stylesheet\" href=\"../themes/".$etab_theme."/b2i.css\" >";
print "</head>\n<body class='arial' >\n"; //et hop !


//En cas d'établissement bloqué sauf Admins éjecter les autres
if ($etab_actif==-1  || (($etab_actif==0)  && ($sess_statut!='Admin')))  {
    //Message d'éjection
    print "<FORM name=\"form2\" action='login.php?etab_id=$etab_id' method='post'>";
    print "<body onload=\"document.form2.btn_out.focus();\">";
    print "<TABLE width='80%' border='0' align='center'>\n";
    print "<TR><TD colspan='2'><center><img height='150' src='../images/pixel_vide.gif'></center></TD></TR><TR><TD><CENTER><IMG src='../themes/".$etab_theme."/travaux_b2i.gif'></CENTER></TD>\n";
    print "<TD ><P class='libelle_admin'>Bonjour <br><br />";
    print "Les comptes GiSCCo de votre établissement sont verrouillés<BR>";
    if (!empty($date)) print "depuis le ".$date;
    print "<br /><br />\n";

    $message_adm=htmlentities("Mon compte ayant pour login : ".$s_login.",  Etablissement : ".$etab_nom." ".$etab_codepostal." ".$etab_ville." est désactivé ! Que faire ?");

    if ($etab_actif==-1 && $sess_statut=="Admin") $qui="<a href='mailto:".$MAIL_RESP."?subject=blocage ".$MODULE."&body=".$message_adm."'>super-administrateur</a>";
    else $qui="<a href='mailto:".$MAIL_ADMIN."?subject=blocage ".$MODULE."&body=".$message_adm."'>administrateur</a>";
    print "Veuillez contacter votre $qui GiSCCo pour tous renseignements. </P></TD>\n";
    print "<br /></TR>\n";
    print "<tr><td>&nbsp;</td><td align='center'><input type='submit' name='btn_out' value='Retour'></td></tr>";
    print "</TABLE></FORM></BODY></HTML>\n";
    die("</body></html>\n");
    }


switch ($_SESSION['sess_actif']) {
    case -1 :
       print "<TABLE width='80%' border='0' align='center'>\n";
       print "<TR><TD colspan='2'><center><img height='80' src='../images/pixel_vide.gif'></center></TD></TR><TR><TD><CENTER><IMG src='../themes/".$etab_theme."/puni_b2i.gif'></CENTER></TD>\n";
       print "<TD ><P class='libelle_admin'>Bonjour ";
       if ($sess_statut=="Eleve") $qui=geteleve($_SESSION['sess_mec_id']);
       elseif ($sess_statut=="Prof") $qui=getprof($_SESSION['sess_mec_id']);
       print $qui."<BR><br>Votre compte est actuellement désactivé. <br><BR>\n";
       print "Veuillez contacter votre administrateur GiSCCo. </P></TD>\n";
       print "</TR><TR><TD></td><td style=\"text-align:center;><br>";
       boutonlogin("../login/login.php");
       print "</TD></TR>\n";
       print "</TABLE></FORM></BODY></HTML>\n";
       exit();
       break;
    case 0 :
       $changer=1;//forcer le changement de mot de passe
       break;
    }

//Recup LV pour les élèves (MELIA)
if ($sess_statut=="Eleve") {
   //récupérer les langues vivantes pratiquées par l'élève

  if ($MODULE=='Melia') {
        // ne sert que pour Melia
    	$sess_lvchoix=getlvchoix($sess_mec_id);
      	if (isset($sess_lvchoix[1]) && ($disc_id==0)) { //c'est en principe dû à un premier login
          $disc_id=$sess_lvchoix[1]; //par défaut sa LV1
          query("UPDATE eleves SET lastdisc=".seci($disc_id )." WHERE eleve_id=$sess_mec_id");
          }
      session_puts("sess_lvchoix");
     }
  else $disc_id=-1;
}

//Aiguillage suivant statut
switch ($sess_statut){
 case "Eleve" :
   $monmenu="../eleve/eleve_ut.php";
   break;
 case "Admin" :
   $monmenu="../admin/admin_ut.php";
   break;
 case "Prof" :
   $monmenu="../prof/prof_ut.php";
   break;
 case "Gest" :
   $monmenu="../gestion/gest_ut.php";
   break;
 case "Sadmin" :
   $monmenu="../sadmin/sadmin_ut.php";
   break;
 } //fin du switch sur le statut

if ((($sess_statut=="Eleve" && $etab_mdp_eleve==1)||($sess_statut=="Prof" && $etab_mdp_prof ==1)||($sess_statut=="Admin")||($sess_statut=="Gest") )  && (($sess_actif==0)|| isset($changer)))
   $chgmdp=1;
else {
   //Message en cas de contradiction ?
    if (($sess_actif==1) && (($sess_statut=="Eleve" && $etab_mdp_eleve==0)||($sess_statut=="Prof" && $etab_mdp_prof ==0)) && isset($changer)) {
        if ($sess_statut=="Eleve") $mess="Les élèves";
        else $mess="Les professeurs";
        alert("$mess ne peuvent pas changer leur mot de passe !");
        }
    }
    
if (!isset($tcourt))    $tcourt="";
if (isset($chgmdp))
    goto("login_chgt_mdp.php?suite=$monmenu&statut=$sess_statut&tcourt=$tcourt");
else {
    enregistre_session($sess_compte_id);
    planifier();
//    avertir($monmenu);
    if (is_file("avis_$sess_statut.php"))
        goto("avis_$sess_statut.php?suite=$monmenu");
    else goto($monmenu);
    }


?>
</body>
</html>
